tests

## Class PraktikumHolonsAdapter

- java.lang.Object
- - tests.PraktikumHolonsAdapter

    public class PraktikumHolonsAdapter
    extends java.lang.Object

This Class Generates Stuff for the Tests.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `generate(int n)` Generate Alphabetical Sequences.
`void` `generateCategories(java.util.ArrayList<Category> arr)` Generate Sequence of Categories from A - ZZZ.
`void` `generateElements(java.util.ArrayList<HolonElement> arr)` Generate Sequence of Elements from A - ZZZ.
`void` `generateObjects(java.util.ArrayList<AbstractCpsObject> arr)` Generate Sequence of Objects from A - ZZZ.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsAdapter

    public PraktikumHolonsAdapter()

### Method Detail

#### generateCategories

    public void generateCategories(java.util.ArrayList<Category> arr)

Generate Sequence of Categories from A - ZZZ.

Parameters:
  `arr` - ArrayList of Categories

#### generateObjects

    public void generateObjects(java.util.ArrayList<AbstractCpsObject> arr)

Generate Sequence of Objects from A - ZZZ.

Parameters:
  `arr` - ArrayList of Categories

#### generateElements

    public void generateElements(java.util.ArrayList<HolonElement> arr)

Generate Sequence of Elements from A - ZZZ.

Parameters:
  `arr` - ArrayList of Categories

#### generate

    public java.lang.String generate(int n)

Generate Alphabetical Sequences.

Parameters:
  `n` - Generator
Returns:
  A generated Alphabetical Sequence